// pages/shareBonus/shareBonus.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    webViewUrl:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options.url);
    if (!app.globalData.userInfo) {
      wx.navigateTo({
        url: `/pages/login/login?url=${options.url}`
      });
      return;
    }
    let session_id = wx.getStorageSync('session_id')
    let url = decodeURIComponent(options.url) + '&HPHPSESSID=' + session_id
    this.setData({
      webViewUrl: url
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let imageUrl = '../../image/share_bonus.png';
    let url = encodeURIComponent(this.data.webViewUrl);

    return {
      title: `点一下，你和TA都有红包！`,
      path: `/pages/shareBonus/shareBonus?url=${url}`,
      imageUrl: imageUrl
    }
  }
})